ClarisWksTextInternal::Section Struct Reference documentation

Public Member Functions | Public Attributes | Friends | List of all members
ClarisWksTextInternal::Section Struct Reference

internal class used to store a section More...

## Public Member Functions
| Section ()
| the constructor More...
MWAWSection | getSection () const
| returns a section More...

## Public Attributes
long | m_pos
| the character position More...
int | m_numColumns
| the number of column More...
std::vector< int > | m_columnsWidth
| the columns width More...
std::vector< int > | m_columnsSep
| the columns separator More...
bool | m_startOnNewPage
| a new section generates a page break More...
int | m_firstPage
| the first page More...
bool | m_hasTitlePage
| true if the first page is a title page(ie. More...
bool | m_continuousHF
| true if the header/footer are shared with previous sections More...
bool | m_leftRightHF
| true if the left/right header/footer are different More...
int | m_HFId [4]
| the header/footer id More...
std::string | m_extra
| a string to store unparsed data More...

## Friends
std::ostream & | operator<< (std::ostream &o, Section const &sec)
| operator << More...

## Detailed Description

internal class used to store a section

## Constructor & Destructor Documentation

## § Section()

ClarisWksTextInternal::Section::Section | ( |  | ) |
| inline

the constructor

## Member Function Documentation

## § getSection()

MWAWSection ClarisWksTextInternal::Section::getSection | ( |  | ) | const
| inline

returns a section

## Friends And Related Function Documentation

## § operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | Section const & | sec
| ) |  |
| friend

operator <<

## Member Data Documentation

## § m_columnsSep

std::vector<int> ClarisWksTextInternal::Section::m_columnsSep

the columns separator

Referenced by ClarisWksText::readTextSection().

## § m_columnsWidth

std::vector<int> ClarisWksTextInternal::Section::m_columnsWidth

the columns width

Referenced by ClarisWksText::readTextSection().

## § m_continuousHF

bool ClarisWksTextInternal::Section::m_continuousHF

true if the header/footer are shared with previous sections

Referenced by ClarisWksText::readTextSection().

## § m_extra

std::string ClarisWksTextInternal::Section::m_extra

a string to store unparsed data

Referenced by ClarisWksText::readTextSection().

## § m_firstPage

int ClarisWksTextInternal::Section::m_firstPage

the first page

Referenced by ClarisWksText::readTextSection().

## § m_hasTitlePage

bool ClarisWksTextInternal::Section::m_hasTitlePage

true if the first page is a title page(ie.

no header/footer)

Referenced by ClarisWksText::readTextSection(), and ClarisWksText::updatePageSpanList().

## § m_HFId

int ClarisWksTextInternal::Section::m_HFId[4]

the header/footer id

Referenced by ClarisWksText::readTextSection(), and ClarisWksText::updatePageSpanList().

## § m_leftRightHF

bool ClarisWksTextInternal::Section::m_leftRightHF

true if the left/right header/footer are different

Referenced by ClarisWksText::readTextSection().

## § m_numColumns

int ClarisWksTextInternal::Section::m_numColumns

the number of column

Referenced by ClarisWksText::readTextSection().

## § m_pos

long ClarisWksTextInternal::Section::m_pos

the character position

Referenced by ClarisWksText::readTextSection().

## § m_startOnNewPage

bool ClarisWksTextInternal::Section::m_startOnNewPage

a new section generates a page break

Referenced by ClarisWksText::readTextSection().

The documentation for this struct was generated from the following file:

- ClarisWksText.cxx